#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	emacs
Version		:	29.1
Release		:	16.2.0.rel%{?dist}
Summary		:	GNU Emacs text editor
Group		:	Applications/Editors

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	https://www.gnu.org/software/emacs/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	gnutls

Requires	:	libtiff
Requires	:	gnutls
Requires	:	giflib
#-----------------------------------------------------------------------------
%description
We call Emacs advanced because it can do much more than simple insertion and
deletion of text. It can control subprocesses, indent programs automatically,
show multiple files at once, and more. Emacs editing commands operate in terms
of characters, words, lines, sentences, paragraphs, and pages, as well as
expressions and comments in various programming languages.

Self-documenting means that at any time you can use special commands, known as
help commands, to find out what your options are, or to find out what any command
does, or to find all the commands that pertain to a given topic. See Help.

Customizable means that you can easily alter the behavior of Emacs commands in
simple ways. For instance, if you use a programming language in which comments
start with '<**' and end with '**>', you can tell the Emacs comment manipulation
commands to use those strings (see Comments). To take another example, you can
rebind the basic cursor motion commands (up, down, left and right) to any keys
on the keyboard that you find comfortable. See Customization.

Extensible means that you can go beyond simple customization and create entirely
new commands. New commands are simply programs written in the Lisp language,
which are run by Emacs's own Lisp interpreter. Existing commands can even
be redefined in the middle of an editing session, without having to restart Emacs.
Most of the editing commands in Emacs are written in Lisp; the few exceptions
could have been written in Lisp but use C instead for efficiency. Writing an
extension is programming, but non-programmers can use it afterwards. See Emacs
Lisp Intro, if you want to learn Emacs Lisp programming. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README
%{_includedir}/%{name}-module.h
%{_bindir}/%{name}
%{_bindir}/%{name}client
%{_bindir}/%{name}-%{version}
%{_bindir}/ctags
%{_bindir}/etags
%{_bindir}/ebrowse
%{_libexecdir}/%{name}/%{version}/*
%{_datadir}/metainfo/%{name}.metainfo.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-mail.desktop
%{_datadir}/applications/%{name}client-mail.desktop
%{_datadir}/applications/%{name}client.desktop
%{_datadir}/%{name}/%{version}/site-lisp/*
%{_datadir}/%{name}/site-lisp/subdirs.el
%{_datadir}/%{name}/%{version}/lisp/*
%{_datadir}/%{name}/%{version}/etc/*
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.ico
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/scalable/mimetypes/%{name}-*.svg
%{_infodir}/*.info.gz
%{_mandir}/man1/*.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

cp src/sysdep.c /tmp

sed -i							\
  -e '/SIGSTKSZ/ s|^.*$|static max_align_t		\
      sigsegv_stack[((64*1024)+sizeof(max_align_t)-1)	\
      / sizeof (max_align_t)];|'			\
   src/sysdep.c

./autogen.sh
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--localstatedir=%{_var}				\
	--with-x-toolkit=no				\
	--with-xpm=ifavailable 				\
	--with-gif=ifavailable				\
	--without-pop					\
	--with-gpm					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
%{__rm} -fr %{buildroot}%{_libdir}/systemd
%{__rm} -fr %{buildroot}%{_infodir}/dir

#-----------------------------------------------------------------------------
%changelog
